Index: /orxonox/trunk/src/glmenu/glmenu_imagescreen.h
===================================================================
--- /orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 4745)
+++ /orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 4746)
@@ -20,5 +20,5 @@
   virtual ~GLMenuImageScreen ();
 
-  void draw ();
+  void draw();
 
   void setBackgroundImage(const char* backImageName);
@@ -32,8 +32,8 @@
   void setMaximum (int maxValue);
   /** \returns the maximum of countable steps*/
-  inline int GLMenuImageScreen::getMaximum(void) const { return this->maxValue; };
+  inline int GLMenuImageScreen::getMaximum() const { return this->maxValue; };
 
   void setValue (int currentValue);
-  int getValue ();
+  int  getValue ();
   void step ();
 
Index: /orxonox/trunk/src/lib/collision_detection/cd_engine.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 4745)
+++ /orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 4746)
@@ -34,7 +34,7 @@
 
  public:
-  virtual ~CDEngine(void);
+  virtual ~CDEngine();
   /** \returns a Pointer to the only object of this Class */
-  static CDEngine* getInstance(void) { if (!singletonRef) singletonRef = new CDEngine(); return singletonRef; }
+  static CDEngine* getInstance() { if (!singletonRef) singletonRef = new CDEngine(); return singletonRef; }
   void init();
 
@@ -55,5 +55,5 @@
 
  private:
-  CDEngine(void);
+  CDEngine();
   static CDEngine* singletonRef;
 
Index: /orxonox/trunk/src/lib/collision_detection/lin_alg.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/lin_alg.h	(revision 4745)
+++ /orxonox/trunk/src/lib/collision_detection/lin_alg.h	(revision 4746)
@@ -180,7 +180,7 @@
   private:
     void ComputeEigenpair(int);
-    void matrixUpdate(void);
-    void getP(void);
-    void printMatrix(void);
+    void matrixUpdate();
+    void getP();
+    void printMatrix();
 
   private:
@@ -330,5 +330,5 @@
 }
 //
-void EVJacobi::printMatrix(void)
+void EVJacobi::printMatrix()
 {
   for (int i=1; i<=ndim; ++i)
@@ -339,5 +339,5 @@
 }
 //
-void EVJacobi::matrixUpdate(void)
+void EVJacobi::matrixUpdate()
 {
   double a_new[NDIM][NDIM], vec_new[NDIM][NDIM];
@@ -404,5 +404,5 @@
 //      ev[1] <= ev[2] <= ... <= ev[ndim].
 //
-void EVJacobi::getP(void)
+void EVJacobi::getP()
 {
   for (int i=1; i<=ndim; ++i) p[i] = i;
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4746)
@@ -998,5 +998,5 @@
 
 
-void OBBTreeNode::debug(void) const
+void OBBTreeNode::debug() const
 {
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4745)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4746)
@@ -38,5 +38,5 @@
     virtual void drawBV(int depth, int drawMode);
 
-    void debug(void) const;
+    void debug() const;
 
   private:
Index: /orxonox/trunk/src/lib/coord/p_node.h
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.h	(revision 4745)
+++ /orxonox/trunk/src/lib/coord/p_node.h	(revision 4746)
@@ -104,5 +104,5 @@
   inline void parentDirChanged () { this->bRelDirChanged = true; }
   /** \returns the last calculated coordinate */
-  inline Vector getLastAbsCoor(void) {return this->lastAbsCoordinate;}
+  inline Vector getLastAbsCoor() {return this->lastAbsCoordinate;}
 
 
Index: /orxonox/trunk/src/lib/event/event_handler.h
===================================================================
--- /orxonox/trunk/src/lib/event/event_handler.h	(revision 4745)
+++ /orxonox/trunk/src/lib/event/event_handler.h	(revision 4746)
@@ -19,7 +19,7 @@
 
  public:
-  virtual ~EventHandler(void);
+  virtual ~EventHandler();
   /** \returns a Pointer to the only object of this Class */
-  inline static EventHandler* getInstance(void) { if (!singletonRef) singletonRef = new EventHandler();  return singletonRef; };
+  inline static EventHandler* getInstance() { if (!singletonRef) singletonRef = new EventHandler();  return singletonRef; };
   void init();
 
@@ -34,5 +34,5 @@
 
  private:
-  EventHandler(void);
+  EventHandler();
  
 
Index: /orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4746)
@@ -119,5 +119,5 @@
    \brief Sets the GL-attributes
 */
-int GraphicsEngine::setGLattribs(void)
+int GraphicsEngine::setGLattribs()
 {
   // Set video mode
@@ -208,5 +208,5 @@
    this is a GL-Projection-mode, that is orthogonal, for placing the font in fron of everything else
 */
-void GraphicsEngine::enter2DMode(void)
+void GraphicsEngine::enter2DMode()
 {
   GraphicsEngine::storeMatrices();
@@ -242,7 +242,7 @@
 
 /**
-   \brief leaves the 2DMode again also \see Font::enter2DMode(void)
-*/
-void GraphicsEngine::leave2DMode(void)
+   \brief leaves the 2DMode again also \see Font::enter2DMode()
+*/
+void GraphicsEngine::leave2DMode()
 {
   glMatrixMode(GL_MODELVIEW);
@@ -258,5 +258,5 @@
    \brief stores the GL_matrices
 */
-void GraphicsEngine::storeMatrices(void)
+void GraphicsEngine::storeMatrices()
 {
   glGetDoublev(GL_PROJECTION_MATRIX, GraphicsEngine::projMat);
@@ -277,5 +277,5 @@
    \brief outputs all the Fullscreen modes.
 */
-void GraphicsEngine::listModes(void)
+void GraphicsEngine::listModes()
 {
   /* Get available fullscreen/hardware modes */
Index: /orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4746)
@@ -27,10 +27,10 @@
     virtual ~GraphicsEngine();
     /** \returns a Pointer to the only object of this Class */
-    inline static GraphicsEngine* getInstance(void) { if (!singletonRef) singletonRef = new GraphicsEngine();  return singletonRef; };
+    inline static GraphicsEngine* getInstance() { if (!singletonRef) singletonRef = new GraphicsEngine();  return singletonRef; };
 
     int initVideo();
 
     void setWindowName(const char* windowName, const char* icon);
-    int setGLattribs(void);
+    int setGLattribs();
     int setResolution(int width, int height, int bpp);
     void setFullscreen(bool fullscreen = false);
@@ -38,16 +38,16 @@
 
     /** \returns the x resolution */
-    inline int getResolutionX(void) const { return this->resolutionX; };
+    inline int getResolutionX() const { return this->resolutionX; };
     /** \returns the y resolution */
-    inline int getResolutionY(void) const { return this->resolutionY; };
+    inline int getResolutionY() const { return this->resolutionY; };
     /** \returns the Bits Per Pixel */
-    inline int getbbp(void) const { return this->bitsPerPixel; };
+    inline int getbbp() const { return this->bitsPerPixel; };
 
     int resolutionChanged(SDL_ResizeEvent* resizeInfo);
 
-    static void enter2DMode(void);
-    static void leave2DMode(void);
+    static void enter2DMode();
+    static void leave2DMode();
 
-    static void storeMatrices(void);
+    static void storeMatrices();
     static GLdouble modMat[16];
     static GLdouble projMat[16];
@@ -57,8 +57,8 @@
     void displayFPS(bool display);
 
-    void listModes(void);
+    void listModes();
 
     /** \brief swaps the GL_BUFFERS */
-    static void swapBuffers(void) { SDL_GL_SwapBuffers(); };
+    static void swapBuffers() { SDL_GL_SwapBuffers(); };
 
   public:
Index: /orxonox/trunk/src/lib/graphics/importer/array.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/array.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/array.h	(revision 4746)
@@ -32,5 +32,5 @@
     ~Array();
 
-    void finalizeArray (void);
+    void finalizeArray ();
     void addEntry (T entry);
     void addEntry(T entry0, T entry1, T entry2);
@@ -39,6 +39,6 @@
     inline const T* getArray () const { return this->array; };
     /**   \returns The Count of entries in the Array*/
-    inline unsigned int getCount(void)const { return this->entryCount; };
-    void debug(void) const ;
+    inline unsigned int getCount()const { return this->entryCount; };
+    void debug() const ;
 
   private:
@@ -97,5 +97,5 @@
 */
 template<class T>
-void Array<T>::finalizeArray (void)
+void Array<T>::finalizeArray ()
 {
   PRINTF(4)("Finalizing array. Length: %i\n", entryCount);
@@ -157,5 +157,5 @@
 */
 template<class T>
-void Array<T>::debug (void) const
+void Array<T>::debug () const
 {
   PRINT(0)("entryCount=%i, address=%p\n", this->entryCount, this->array);
Index: /orxonox/trunk/src/lib/graphics/importer/material.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4746)
@@ -64,5 +64,5 @@
    \brief sets the material with which the following Faces will be painted
 */
-bool Material::select (void)
+bool Material::select ()
 {
   // setting diffuse color
Index: /orxonox/trunk/src/lib/graphics/importer/material.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/material.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/material.h	(revision 4746)
@@ -28,5 +28,5 @@
   ~Material ();
 
-  bool select (void);
+  bool select ();
 
   void setIllum (int illum);
Index: /orxonox/trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 4746)
@@ -113,5 +113,5 @@
    actually does the same as the delete Operator, but does not delete the predecessing group
 */
-void ModelGroup::cleanup(void)
+void ModelGroup::cleanup()
 {
   PRINTF(5)("Cleaning up group\n");
@@ -164,5 +164,5 @@
    Looks if any from model allocated space is still in use, and if so deleted it.
 */
-Model::~Model(void)
+Model::~Model()
 {
   PRINTF(4)("Deleting Model ");
@@ -198,5 +198,5 @@
    \brief Finalizes an Object. This can be done outside of the Class.
 */
-void Model::finalize(void)
+void Model::finalize()
 {
   // this creates the display List.
@@ -218,5 +218,5 @@
    It does this by just calling the Lists that must have been created earlier.
 */
-void Model::draw (void) const
+void Model::draw () const
 {
   PRINTF(4)("drawing the 3D-Models\n");
@@ -292,5 +292,5 @@
    \brief deletes all the arrays
 */
-bool Model::deleteArrays(void)
+bool Model::deleteArrays()
 {
   if (this->vertices)
@@ -310,5 +310,5 @@
    This funcion is needed, to delete all the Lists, and arrays that are no more needed because they are already imported into openGL. This will be applied at the end of the importing Process.
 */
-bool Model::cleanup(void)
+bool Model::cleanup()
 {
   PRINTF(4)("cleaning up the 3D-Model to save Memory.\n");
@@ -702,5 +702,5 @@
    \brief reads and includes the Faces/Materials into the openGL state Machine
 */
-bool Model::importToDisplayList(void)
+bool Model::importToDisplayList()
 {
   // finalize the Arrays
@@ -794,5 +794,5 @@
    \brief reads and includes the Faces/Materials into the openGL state Machine
 */
-bool Model::importToVertexArray(void)
+bool Model::importToVertexArray()
 {
   // finalize the Arrays
@@ -857,5 +857,5 @@
    This will inject a Cube, because this is the most basic model.
 */
-void Model::cubeModel(void)
+void Model::cubeModel()
 {
   this->addVertex (-0.5, -0.5, 0.5);
Index: /orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4746)
@@ -99,27 +99,27 @@
  public:
   Model(const char* modelName = NULL, MODEL_TYPE type = MODEL_DISPLAY_LIST);
-  virtual ~Model(void);
+  virtual ~Model();
 
-  void draw(void) const;
+  void draw() const;
   void draw(int groupNumber) const;
   void draw(char* groupName) const;
 
   /** \returns Count of the Models (Groups) in this File */
-  inline int getGroupCount(void) const { return this->groupCount; };
+  inline int getGroupCount() const { return this->groupCount; };
 
   /** \returns a Pointer to the Vertex-Array, if it was deleted it returns NULL */
-  inline const GLfloat* getVertexArray(void) const { return this->vertices->getArray(); };
+  inline const GLfloat* getVertexArray() const { return this->vertices->getArray(); };
   /** \returns the VertexCount of this Model */
-  inline unsigned int getVertexCount(void) const { return this->vertexCount; };
+  inline unsigned int getVertexCount() const { return this->vertexCount; };
 
   /** \returns a Pointer to the Normals-Array, if it was deleted it returns NULL */
-  inline const GLfloat* getNormalsArray(void) const { return this->normals->getArray(); };
+  inline const GLfloat* getNormalsArray() const { return this->normals->getArray(); };
   /** \returns the NormalsCount of this Model */
-  inline unsigned int getNormalsCount(void) const { return this->normalCount; };
+  inline unsigned int getNormalsCount() const { return this->normalCount; };
 
   /** \returns a Pointer to the TexCoord-Array, if it was deleted it returns NULL */
-  inline const GLfloat* getTexCoordArray(void) const { return this->vTexture->getArray(); };
+  inline const GLfloat* getTexCoordArray() const { return this->vTexture->getArray(); };
   /** \returns the TexCoord-Count of this Model */
-  inline unsigned int getTexCoordCount(void) const { return this->texCoordCount; };
+  inline unsigned int getTexCoordCount() const { return this->texCoordCount; };
 
   /** \returns the Count of Faces of this Model */
@@ -141,9 +141,9 @@
   bool setMaterial(const char* mtlString);
   bool setMaterial(Material* mtl);
-  void finalize(void);
+  void finalize();
 
 
  protected:
-  void cubeModel(void);
+  void cubeModel();
 
   Material* findMaterialByName(const char* materialName);
@@ -154,13 +154,13 @@
 
  private:
-  bool buildVertexNormals(void);
+  bool buildVertexNormals();
 
-  bool importToDisplayList(void);
+  bool importToDisplayList();
   bool addGLElement(ModelFaceElement* elem);
 
-  bool importToVertexArray(void);
+  bool importToVertexArray();
 
-  bool deleteArrays(void);
-  bool cleanup(void);
+  bool deleteArrays();
+  bool cleanup();
 
  private:
Index: /orxonox/trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4746)
@@ -43,5 +43,5 @@
    Frees Data, and deletes the textures from GL
 */
-Texture::~Texture(void)
+Texture::~Texture()
 {
   if (this->texture)
Index: /orxonox/trunk/src/lib/graphics/importer/texture.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4746)
@@ -25,11 +25,11 @@
   //  Texture(TEXTURE_TYPE type, int resolution);
 
-  ~Texture(void);
+  ~Texture();
 
   /** \returns The textureID of this texture.  */
-  inline GLuint getTexture(void) {return this->texture;} 
+  inline GLuint getTexture() {return this->texture;} 
   GLuint loadTexToGL (SDL_Surface* surface);
   /** \returns true if texture has alpha, false otherwise */
-  inline bool hasAlpha(void) const {return bAlpha;}
+  inline bool hasAlpha() const {return bAlpha;}
 
   bool loadImage(const char* imageName);
Index: /orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/light.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/light.cc	(revision 4746)
@@ -73,5 +73,5 @@
    \brief destroys a Light
 */
-Light::~Light(void)
+Light::~Light()
 {
   glDisable(lightsV[this->lightNumber]);
@@ -181,5 +181,5 @@
    \brief draws this Light. Being a World-entity the possibility to do this lies at hand.
 */
-void Light::draw(void) const
+void Light::draw() const
 {
   float pos[4] = {this->getAbsCoor().x, this->getAbsCoor().y, this->getAbsCoor().z, 1.0};
@@ -192,5 +192,5 @@
    \brief Prints out some nice formated debug information about the Light
 */
-void Light::debug(void) const
+void Light::debug() const
 {
   PRINT(0)(":: %d ::  -- reference %p\n", this->lightNumber, this);
@@ -348,5 +348,5 @@
    \brief outputs debug information about the Class and its lights
 */
-void LightManager::debug(void) const
+void LightManager::debug() const
 {
   PRINT(0)("=================================\n");
Index: /orxonox/trunk/src/lib/graphics/light.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/light.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/light.h	(revision 4746)
@@ -27,5 +27,5 @@
  public:
   Light(const TiXmlElement* root = NULL);
-  virtual ~Light(void);
+  virtual ~Light();
 
   void loadParams(const TiXmlElement* root);
@@ -39,9 +39,9 @@
 
   /** \returns the lightNumber*/
-  int getLightNumber(void) const {return this->lightNumber;}
+  int getLightNumber() const {return this->lightNumber;}
 
   virtual void draw() const;
 
-  void debug(void) const;
+  void debug() const;
 
   // attributes
@@ -84,5 +84,5 @@
 
    for some nice output just use:
-   \li void debug(void) const; (either on LightManager for a resume or on any Light for single information.)
+   \li void debug() const; (either on LightManager for a resume or on any Light for single information.)
 */
 class LightManager : public BaseObject
@@ -91,7 +91,7 @@
 
  public:
-  virtual ~LightManager(void);
+  virtual ~LightManager();
   /** \returns a Pointer to the only object of this Class */
-  inline static LightManager* getInstance(void) { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
+  inline static LightManager* getInstance() { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
 
   void loadParams(const TiXmlElement* root);
@@ -105,8 +105,8 @@
   void draw() const;
 
-  void debug(void) const;
+  void debug() const;
 
  private:
-  LightManager(void);
+  LightManager();
 
   int  registerLight(Light* light);
Index: /orxonox/trunk/src/lib/graphics/text_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4746)
@@ -71,5 +71,5 @@
    This also ereases the text from the textList of the TextEngine
 */
-Text::~Text(void)
+Text::~Text()
 {
   TextEngine::getInstance()->deleteText(this);
@@ -167,5 +167,5 @@
    this is only for TEXT_STATIC-mode
 */
-void Text::createTexture(void)
+void Text::createTexture()
 {
   SDL_Surface* tmpSurf;
@@ -187,5 +187,5 @@
    \brief draws the Font
 */
-void Text::draw(void) const
+void Text::draw() const
 {
   // setting the Position of this Text.
@@ -271,5 +271,5 @@
    \brief prints out some nice debug information about this text
 */
-void Text::debug(void) const
+void Text::debug() const
 {
   PRINT(0)("=== TEXT: %s ===\n", this->text);
@@ -415,5 +415,5 @@
    \brief destructs a font
 */
-Font::~Font(void)
+Font::~Font()
 {
   // deleting the List of all Texts
@@ -509,5 +509,5 @@
    \returns the maximum height of the Font, if the font was initialized, 0 otherwise
 */
-int Font::getMaxHeight(void)
+int Font::getMaxHeight()
 {
   if (likely (this->font != NULL))
@@ -522,5 +522,5 @@
    the ascent is the pixels of the font above the baseline
 */
-int Font::getMaxAscent(void)
+int Font::getMaxAscent()
 {
   if (likely(this->font != NULL))
@@ -535,5 +535,5 @@
    the descent is the pixels of the font below the baseline
 */
-int Font::getMaxDescent(void)
+int Font::getMaxDescent()
 {
   if (likely(this->font != NULL))
@@ -568,5 +568,5 @@
 }
 
-GLuint Font::createFastTexture(void)
+GLuint Font::createFastTexture()
 {
   /* interesting GLYPHS:
@@ -730,5 +730,5 @@
    openGL-version < 1.2 compatibility ( and because it is realy easy like this :))
 */
-int Font::findOptimalFastTextureSize(void)
+int Font::findOptimalFastTextureSize()
 {
   int i;
@@ -775,5 +775,5 @@
    \brief a simple function to get some interesting information about this class
 */
-void Font::debug(void)
+void Font::debug()
 {
   // print the loaded font's style
@@ -832,5 +832,5 @@
    \brief function to enable TTF_Fonts
 */
-void TextEngine::enableFonts(void)
+void TextEngine::enableFonts()
 {
   if (!TTF_WasInit())
@@ -848,5 +848,5 @@
    \brief function to disable TTF_fonts
 */
-void TextEngine::disableFonts(void)
+void TextEngine::disableFonts()
 {
   if (TTF_WasInit())
@@ -900,5 +900,5 @@
    \brief deletes all the Text, and tries to delete all allocated fonts
 */
-void TextEngine::flush(void)
+void TextEngine::flush()
 {
   tIterator<Text>* textIterator = textList->getIterator();
@@ -915,5 +915,5 @@
    \brief draws all the Texts that have been initialized
 */
-void TextEngine::draw(void) const
+void TextEngine::draw() const
 {
   // entering 3D-mode
@@ -937,5 +937,5 @@
    \todo there should also be something outputted about Font
 */
-void TextEngine::debug(void) const
+void TextEngine::debug() const
 {
   PRINT(0)("+-------------------------------+\n");
@@ -960,5 +960,5 @@
    \returns true if match, false otherwise
 */
-bool TextEngine::checkVersion(void)
+bool TextEngine::checkVersion()
 {
   SDL_version compile_version;
Index: /orxonox/trunk/src/lib/graphics/text_engine.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4745)
+++ /orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4746)
@@ -108,5 +108,5 @@
   friend class TextEngine;
  public:
-  ~Text(void);
+  ~Text();
 
   void setBindNode(PNode* bindNode);
@@ -124,7 +124,7 @@
   void createTexture();
 
-  void draw(void) const;
-
-  void debug(void) const;
+  void draw() const;
+
+  void debug() const;
 
  private:
@@ -175,12 +175,12 @@
 
   /** \returns a Pointer to the Array of Glyphs */
-  inline Glyph** getGlyphArray(void) const {return glyphArray;}
+  inline Glyph** getGlyphArray() const {return glyphArray;}
   /** \returns the texture to the fast-texture */
-  inline GLuint getFastTextureID(void) const {return fastTextureID;}
-
- private:
-  int getMaxHeight(void);
-  int getMaxAscent(void);
-  int getMaxDescent(void);
+  inline GLuint getFastTextureID() const {return fastTextureID;}
+
+ private:
+  int getMaxHeight();
+  int getMaxAscent();
+  int getMaxDescent();
   Glyph* getGlyphMetrics(Uint16 character);
 
@@ -188,7 +188,7 @@
 
   void initGlyphs(Uint16 from, Uint16 count);
-  int findOptimalFastTextureSize(void);
-
-  void debug(void);
+  int findOptimalFastTextureSize();
+
+  void debug();
 
  private:
@@ -216,7 +216,7 @@
 {
  public:
-  virtual ~TextEngine(void);
+  virtual ~TextEngine();
   /** \returns a Pointer to the only object of this Class */
-  inline static TextEngine* getInstance(void) { if (!singletonRef) singletonRef = new TextEngine();  return singletonRef; };
+  inline static TextEngine* getInstance() { if (!singletonRef) singletonRef = new TextEngine();  return singletonRef; };
 
   Text* createText(const char* fontFile,
@@ -228,18 +228,18 @@
 
   void deleteText(Text* text);
-  void flush(void);
-
-  void draw(void) const;
-
-  void debug(void) const;
-
- private:
-  TextEngine(void);
+  void flush();
+
+  void draw() const;
+
+  void debug() const;
+
+ private:
+  TextEngine();
   static TextEngine* singletonRef;
 
   // general
-  static void enableFonts(void);
-  static void disableFonts(void);
-  static bool checkVersion(void);
+  static void enableFonts();
+  static void disableFonts();
+  static bool checkVersion();
 
  private:
Index: /orxonox/trunk/src/lib/gui/gui.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui.cc	(revision 4746)
@@ -123,5 +123,5 @@
    \brief starts the OrxonoxGUI
 */
-void Gui::startGui(void)
+void Gui::startGui()
 {
   mainloopGUI();
@@ -145,5 +145,5 @@
    \brief Destructor.
 */
-Gui::~Gui(void)
+Gui::~Gui()
 {
   delete video;
Index: /orxonox/trunk/src/lib/gui/gui.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui.h	(revision 4746)
@@ -24,8 +24,8 @@
  public:
   Gui(int argc, char *argv[]);
-  ~Gui(void);
+  ~Gui();
 
-  void startGui(void);
-  void printHelp(void);
+  void startGui();
+  void printHelp();
 
   static bool startOrxonox;
Index: /orxonox/trunk/src/lib/gui/gui_audio.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_audio.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_audio.cc	(revision 4746)
@@ -31,5 +31,5 @@
    \brief Creates an Audio-Frame
 */
-GuiAudio::GuiAudio(void)
+GuiAudio::GuiAudio()
 {
   Frame* audioFrame;        //!< The Frame that holds the audio Options.
@@ -74,5 +74,5 @@
     \brief Destructs the Audio-Stuff
 */
-GuiAudio::~GuiAudio(void)
+GuiAudio::~GuiAudio()
 {
   // nothing to do here.
Index: /orxonox/trunk/src/lib/gui/gui_audio.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_audio.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_audio.h	(revision 4746)
@@ -13,6 +13,6 @@
 {
  public:
-  GuiAudio(void);
-  ~GuiAudio(void);
+  GuiAudio();
+  ~GuiAudio();
 };
 #endif /* _GUI_AUDIO_H */
Index: /orxonox/trunk/src/lib/gui/gui_banner.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_banner.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_banner.cc	(revision 4746)
@@ -34,5 +34,5 @@
    \brief Creates a new BannerEventBox and its content.
 */
-GuiBanner::GuiBanner(void)
+GuiBanner::GuiBanner()
 {
   // the banner Frame
@@ -92,5 +92,5 @@
    \brief Destructs it.
 */
-GuiBanner::~GuiBanner(void)
+GuiBanner::~GuiBanner()
 {
   // nothing to do here
Index: /orxonox/trunk/src/lib/gui/gui_banner.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_banner.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_banner.h	(revision 4746)
@@ -15,6 +15,6 @@
 {
  public:
-  GuiBanner(void);
-  ~GuiBanner(void);
+  GuiBanner();
+  ~GuiBanner();
 };
 
Index: /orxonox/trunk/src/lib/gui/gui_element.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_element.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_element.h	(revision 4746)
@@ -18,5 +18,5 @@
   
   /** \returns the main Widget of this GuiElement. */
-  Widget* getWidget(void) {return this->mainWidget;}
+  Widget* getWidget() {return this->mainWidget;}
  protected:
   void setMainWidget(Widget* widget);
Index: /orxonox/trunk/src/lib/gui/gui_exec.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_exec.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_exec.cc	(revision 4746)
@@ -41,5 +41,5 @@
     \brief Creates the Exec-Frame
 */
-GuiExec::GuiExec(void)
+GuiExec::GuiExec()
 {
   Frame* execFrame;            //!< The Frame that holds the ExecutionOptions.
@@ -133,5 +133,5 @@
    \brief Destructs the Execution-stuff
 */
-GuiExec::~GuiExec(void)
+GuiExec::~GuiExec()
 {
   if(this->confFile)
@@ -178,5 +178,5 @@
    \returns The name of the Configuration-File
 */
-const char* GuiExec::getConfigFile(void) const
+const char* GuiExec::getConfigFile() const
 {
   return this->confFile;
Index: /orxonox/trunk/src/lib/gui/gui_exec.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_exec.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_exec.h	(revision 4746)
@@ -33,11 +33,11 @@
 
  public:
-  GuiExec(void);
-  ~GuiExec(void);
+  GuiExec();
+  ~GuiExec();
   
   void setConfDir(const char* confDir);
   void setConfFile(const char* confFile);
-  const char* getConfigFile(void) const;
-  int shouldsave(void);
+  const char* getConfigFile() const;
+  int shouldsave();
   void writeToFile(Widget* widget);
   void writeFileText(Widget* widget, int depth);
Index: /orxonox/trunk/src/lib/gui/gui_flags.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_flags.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_flags.cc	(revision 4746)
@@ -29,5 +29,5 @@
    \brief Creates the Flags-Frame
 */
-GuiFlags::GuiFlags(void)
+GuiFlags::GuiFlags()
 {
   this->flagsFrame = new Frame("Orxonox-Startup-Flags:");
@@ -48,5 +48,5 @@
    \brief Destructs the Flags-stuff
 */
-GuiFlags::~GuiFlags(void)
+GuiFlags::~GuiFlags()
 {
   // nothing to do here
Index: /orxonox/trunk/src/lib/gui/gui_flags.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_flags.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_flags.h	(revision 4746)
@@ -21,6 +21,6 @@
 
  public:
-  GuiFlags(void);
-  ~GuiFlags(void);
+  GuiFlags();
+  ~GuiFlags();
 
   void setTextFromFlags(Widget* widget);
Index: /orxonox/trunk/src/lib/gui/gui_gtk.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_gtk.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_gtk.cc	(revision 4746)
@@ -66,5 +66,5 @@
    \brief enters the GUI's main-loop
 */
-bool mainloopGUI(void)
+bool mainloopGUI()
 {
 #ifdef HAVE_GTK2
@@ -146,5 +146,5 @@
    \brief constructs a Widget
 */
-Widget::Widget(void)
+Widget::Widget()
 {
   next = NULL;
@@ -156,5 +156,5 @@
    This is still pretty crappy.
 */
-Widget::~Widget(void)
+Widget::~Widget()
 {
   if (this->title)
@@ -190,5 +190,5 @@
    \brief makes the widget visible.
 */
-void Widget::show(void)
+void Widget::show()
 {
 #ifdef HAVE_GTK2
@@ -200,5 +200,5 @@
    \brief hides the widget.
 */
-void Widget::hide(void)
+void Widget::hide()
 {
 #ifdef HAVE_GTK2
@@ -571,5 +571,5 @@
    \brief Constructs a Packer
 */
-Packer::Packer(void)
+Packer::Packer()
 {
   this->down = NULL;
@@ -580,5 +580,5 @@
    \brief Destroys a Packer.
 */
-Packer::~Packer(void)
+Packer::~Packer()
 { 
   PRINTF(5)("deleting the Packer part.\n");
@@ -611,5 +611,5 @@
    sets the Container-Specific defaults.
 */
-Container::Container(void)
+Container::Container()
 {
   this->optionType = GUI_CONTAINER;
@@ -619,5 +619,5 @@
    \brief Destroys a Container.
 */
-Container::~Container(void)
+Container::~Container()
 { 
   PRINTF(5)("deleting the Container part.\n");
@@ -694,5 +694,5 @@
    \brief Destructs a Window.
 */
-Window::~Window(void)
+Window::~Window()
 {
   PRINTF(5)("deleting the Window: %s\n", this->title);
@@ -725,5 +725,5 @@
    \brief Shows all Widgets that are included within this->widget.
 */
-void Window::showall(void)
+void Window::showall()
 {
 #ifdef HAVE_GTK2
@@ -753,5 +753,5 @@
    \brief opens up a Window and fixes the Focus to it
 */
-void Window::open(void)
+void Window::open()
 {
   if (this != mainWindow)
@@ -768,5 +768,5 @@
    \brief closes up a Window and removes the Focus from it
 */
-void Window::close(void)
+void Window::close()
 {
   if (this != mainWindow)
@@ -831,5 +831,5 @@
    \brief destrcucts a Frame
 */
-Frame::~Frame(void)
+Frame::~Frame()
 {
   PRINTF(5)("deleting the Frame: %s\n", this->title);
@@ -872,5 +872,5 @@
    \brief destructs an EventBox.
 */
-EventBox::~EventBox(void)
+EventBox::~EventBox()
 {
   PRINTF(5)("deleting the EventBox: %s\n", this->title);
@@ -899,5 +899,5 @@
    \brief destructs a Box.
 */
-Box::~Box(void)
+Box::~Box()
 {
   PRINTF(5)("deleting the Box: %s\n", this->title);
@@ -934,5 +934,5 @@
    sets all Option-Specific-Values to their defaults.
 */
-Option::Option(void)
+Option::Option()
 {
   this->value = 0;
@@ -950,5 +950,5 @@
    \brief Destroys an Option.
 */
-Option::~Option(void)
+Option::~Option()
 { 
   PRINTF(5)("deleting the Option Part.\n");
@@ -1051,5 +1051,5 @@
    this is a default Option save
 */
-char* Option::save(void)
+char* Option::save()
 {
   char* value = new char [30];
@@ -1072,5 +1072,5 @@
    \returns The saveable-state.
 */
-bool Option::isSaveable(void)
+bool Option::isSaveable()
 {
   return this->saveable;
@@ -1114,5 +1114,5 @@
    \brief destructs a Button.
 */
-Button::~Button(void)
+Button::~Button()
 {
   PRINTF(5)("deleting the Label: %s\n", this->title);
@@ -1138,5 +1138,5 @@
    \todo not implemented yet
 */
-void Button::redraw(void)
+void Button::redraw()
 {
 }
@@ -1147,5 +1147,5 @@
    \todo Actions for non-GTK-mode
 */
-void Button::changeOption(void)
+void Button::changeOption()
 {
   // This will possibly be used for ACTIONS !
@@ -1178,5 +1178,5 @@
    \brief destructs a CheckButton.
 */
-CheckButton::~CheckButton(void)
+CheckButton::~CheckButton()
 {
   if (this->title)
@@ -1204,5 +1204,5 @@
    \returns the Active state of the checkButton
 */
-bool CheckButton::isActive(void)
+bool CheckButton::isActive()
 {
 #ifdef HAVE_GTK2
@@ -1214,5 +1214,5 @@
    \brief Changed the Option, call this Function
 */
-void CheckButton::changeOption(void)
+void CheckButton::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1234,5 +1234,5 @@
    Example: if new settings are loaded the Button must be redrawn for the GUI to display that Change
 */
-void CheckButton::redraw(void)
+void CheckButton::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1270,5 +1270,5 @@
    \brief destructs a Slider.
 */
-Slider::~Slider(void)
+Slider::~Slider()
 {
   PRINTF(5)("deleting the Slider: %s\n", this->title);
@@ -1298,7 +1298,7 @@
 /**
    \brief Redraws the widget
-   Example: see void CheckButton::redraw(void)
-*/
-void Slider::redraw(void)
+   Example: see void CheckButton::redraw()
+*/
+void Slider::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1310,5 +1310,5 @@
    \brief Changed the Option, call this Function
 */
-void Slider::changeOption(void)
+void Slider::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1328,5 +1328,5 @@
 }
 
-char* Slider::save(void)
+char* Slider::save()
 {
   char* value = new char [30];
@@ -1380,5 +1380,5 @@
    \brief destructs a Menu.
 */
-Menu::~Menu(void)
+Menu::~Menu()
 {
   PRINTF(5)("deleting the Menu: %s\n", this->title);
@@ -1401,5 +1401,5 @@
    \brief Initializes a new Menu with no items
 */
-void Menu::init(void)
+void Menu::init()
 {
   this->optionType = GUI_INT;
@@ -1418,5 +1418,5 @@
    \returns the name of the selected Menu-Item
 */
-char* Menu::save(void)
+char* Menu::save()
 {
   MenuItem* tmpItem = this->firstItem;
@@ -1491,7 +1491,7 @@
 /**
    \brief Redraws the widget
-   Example: see void CheckButton::redraw(void)
-*/
-void Menu::redraw(void)
+   Example: see void CheckButton::redraw()
+*/
+void Menu::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1503,5 +1503,5 @@
    \brief Changed the Option, call this Function
 */
-void Menu::changeOption(void)
+void Menu::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1540,5 +1540,5 @@
    \brief destructs an OptionLabel.
 */
-OptionLabel::~OptionLabel(void)
+OptionLabel::~OptionLabel()
 {
   PRINTF(5)("deleting the OptionLabel: %s\n", this->title);
@@ -1564,5 +1564,5 @@
    \brief Redraws an OptionLabel(not implemented yet, but it works).
 */
-void OptionLabel::redraw(void)
+void OptionLabel::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1574,5 +1574,5 @@
    \brief Changed the Option, call this Function
 */
-void OptionLabel::changeOption(void)
+void OptionLabel::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1592,5 +1592,5 @@
    \returns the String to save.
 */
-char* OptionLabel::save(void)
+char* OptionLabel::save()
 {
   return cValue;
@@ -1630,5 +1630,5 @@
    \brief destructs a Label.
 */
-Label::~Label(void)
+Label::~Label()
 {
   PRINTF(5)("deleting the Label: %s\n", this->title);
@@ -1653,5 +1653,5 @@
    \brief ereases the Text of a Label
 */
-void Label::ereaseText(void)
+void Label::ereaseText()
 {
   this->setTitle("");
@@ -1698,5 +1698,5 @@
    \return The Text the Label holds.
 */
-const char* Label::getText(void)
+const char* Label::getText()
 {
   return this->title;
@@ -1728,5 +1728,5 @@
    \brief destructs a ProgressBar
 */
-ProgressBar::~ProgressBar(void)
+ProgressBar::~ProgressBar()
 {
   PRINTF(5)("deleting the ProgressBar: %s\n", this->title);
@@ -1762,5 +1762,5 @@
     \brief returns the Progress Status
 */
-double ProgressBar::getProgress(void)
+double ProgressBar::getProgress()
 {
   return this->progress;
@@ -1800,5 +1800,5 @@
    \brief destructs an Image.
 */
-Image::~Image(void)
+Image::~Image()
 {
   PRINTF(5)("deleting the Image: %s\n", this->title);
@@ -1861,5 +1861,5 @@
    \brief destructs a FileDialog
 */
-FileDialog::~FileDialog(void)
+FileDialog::~FileDialog()
 {
   PRINTF(5)("deleting FileDialog %s\n", this->title);
@@ -1903,5 +1903,5 @@
    \brief disables the File Operator Buttons
 */
-void FileDialog::disableFileOpts(void)
+void FileDialog::disableFileOpts()
 {
 #ifdef HAVE_GTK2
@@ -1913,5 +1913,5 @@
    \brief The ok-button has been pressed
 */
-void FileDialog::okEvent(void)
+void FileDialog::okEvent()
 {
   if (this->okFunc)
@@ -1936,5 +1936,5 @@
    \biref opens up the FileDialog-Window
 */
-void FileDialog::open(void)
+void FileDialog::open()
 {
   isOpen = true;
@@ -1948,5 +1948,5 @@
    \closes the FileDialog-Window
 */
-void FileDialog::close(void)
+void FileDialog::close()
 {
   this->isOpen = false;
Index: /orxonox/trunk/src/lib/gui/gui_gtk.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_gtk.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_gtk.h	(revision 4746)
@@ -45,5 +45,5 @@
 
 bool initGUI(int argc, char* argv[]);
-bool mainloopGUI(void);
+bool mainloopGUI();
 
 //! This is the topmost object that can be displayed all others are derived from it.
@@ -53,13 +53,13 @@
 
  public:
-  Widget(void);
-  virtual ~Widget(void);
-
-  void show(void);
-  void hide(void);
+  Widget();
+  virtual ~Widget();
+
+  void show();
+  void hide();
   void setSize(int width, int height);
 
   virtual void setTitle(const char* title);  //!< An abstract Function, that sets the title of Widgets.
-  virtual const char* getTitle(void) const { return this->title; };
+  virtual const char* getTitle() const { return this->title; };
 
   Widget* findWidgetByName(char* name, unsigned int depth);
@@ -115,6 +115,6 @@
 {
  public:
-  Packer(void);
-  virtual ~Packer(void);
+  Packer();
+  virtual ~Packer();
 
   Widget* down;                      //!< this points to the Widget below this.
@@ -123,5 +123,5 @@
   void setGroupName(const char* name);
   /** \returns the GroupName if existent NULL otherwise */
-  inline const char* getGroupName(void) const {return this->groupName;}
+  inline const char* getGroupName() const {return this->groupName;}
 
 
@@ -142,6 +142,6 @@
   
  public:
-  Container(void);
-  virtual ~Container(void);
+  Container();
+  virtual ~Container();
 
   void setBorderWidth(int borderwidth);
@@ -163,10 +163,10 @@
 
   Window(const char* windowName = NULL);
-  virtual ~Window(void);
+  virtual ~Window();
   
   virtual void setTitle(const char* title);
-  void showall(void);
-  void open(void);
-  void close(void);
+  void showall();
+  void open();
+  void close();
 
 #ifdef HAVE_GTK2
@@ -189,5 +189,5 @@
  public:
   Frame(const char* frameName = NULL);
-  virtual ~Frame(void);
+  virtual ~Frame();
 
   virtual void setTitle(const char* title);
@@ -202,5 +202,5 @@
  public:
   EventBox(const char* eventBoxName = NULL);
-  virtual ~EventBox(void);
+  virtual ~EventBox();
 };
 
@@ -215,5 +215,5 @@
  public:
   Box(char boxtype = 'h');
-  virtual ~Box(void);
+  virtual ~Box();
   
   virtual void fill(Widget* lowerWidget);
@@ -230,6 +230,6 @@
   
  public:
-  Option(void);
-  virtual ~Option(void);
+  Option();
+  virtual ~Option();
 
   int value;                  //!< every option has a value either true or false(0,1) or something else like 25 for 25% of the volume
@@ -242,8 +242,8 @@
 
   void saveability(bool isSaveable = true);
-  virtual char* save(void);
+  virtual char* save();
   virtual void load(char* loadString);
 
-  bool isSaveable(void);
+  bool isSaveable();
   void setDefaultValue(int defaultValue);
   void setFlagName(const char* flagname, int defaultvalue);
@@ -251,6 +251,6 @@
   void setDescription(const char* shortDescription, const char* longDescription = NULL);
 
-  virtual void redraw(void) = 0;       //!< A Option must be able to redraw itself.
-  virtual void changeOption(void) = 0; //!< What to do, if an Option is Changed. eacht option decides for itself.
+  virtual void redraw() = 0;       //!< A Option must be able to redraw itself.
+  virtual void changeOption() = 0; //!< What to do, if an Option is Changed. eacht option decides for itself.
 #ifdef HAVE_GTK2
     // Signals  
@@ -267,9 +267,9 @@
  public:
   Button(const char* buttonName = NULL);
-  virtual ~Button(void);
+  virtual ~Button();
 
   virtual void setTitle(const char* title);
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -281,11 +281,11 @@
  public:
   CheckButton(const char* buttonName = NULL);
-  virtual ~CheckButton(void);
-
-  bool isActive(void);
+  virtual ~CheckButton();
+
+  bool isActive();
 
   virtual void setTitle(const char* title);
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -302,12 +302,12 @@
  public:
   Slider(const char* slidername, float start, float end);
-  virtual ~Slider(void);
+  virtual ~Slider();
 
   void setExactness(int exactness);
   void setValue(float value);
-  virtual void redraw(void);
-  virtual void changeOption(void);
-
-  virtual char* save(void);
+  virtual void redraw();
+  virtual void changeOption();
+
+  virtual char* save();
   virtual void load(char* loadString);
 };
@@ -338,13 +338,13 @@
   Menu(const char* menuName);
   Menu(char* menuname, ...);
-  virtual ~Menu(void);
-  void init(void);
-
-  virtual char* save(void);
+  virtual ~Menu();
+  void init();
+
+  virtual char* save();
   virtual void load(char* loadString);
   
   void addItem(char* itemName);
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -354,13 +354,13 @@
  public:
   OptionLabel(const char* label, const char* value);
-  virtual ~OptionLabel(void);
+  virtual ~OptionLabel();
   
   void setValue(const char* newValue);
 
-  virtual char* save(void);
+  virtual char* save();
   virtual void load(char* loadString);
 
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 
   char* cValue;                          //!< The Value the Label will have. \todo make private
@@ -372,12 +372,12 @@
  public:
   EntryField(const char* name = NULL);
-  virtual ~EntryField(void);
+  virtual ~EntryField();
   
   void setValue(const char* newValue);
-  virtual char* save(void);
+  virtual char* save();
   virtual void load(char* loadString);
   
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -387,11 +387,11 @@
  public:
   Label(const char* text = NULL);
-  virtual ~Label(void);
+  virtual ~Label();
   
   virtual void setTitle(const char* text);
-  void ereaseText(void);
+  void ereaseText();
   void appendText(char* textToAppend);
   void appendInt(int intToAppend);
-  const char* getText(void);
+  const char* getText();
 };
 
@@ -401,9 +401,9 @@
  public:
   ProgressBar(const char* label = NULL);
-  virtual ~ProgressBar(void);
+  virtual ~ProgressBar();
 
   void setProgress(double progress);
   void setTotalSize(double totalSize);
-  double getProgress(void);
+  double getProgress();
 
  private:
@@ -425,5 +425,5 @@
   Image(const char* imgaeName);
   Image(char** imageData);
-  virtual ~Image(void);
+  virtual ~Image();
   void init(const char* name);
 };
@@ -441,5 +441,5 @@
  public:
   FileDialog(const char* fileDialogName);
-  virtual ~FileDialog(void);
+  virtual ~FileDialog();
 
   void setChangeOption(OptionLabel* changeOption);
@@ -448,5 +448,5 @@
   void setDefaultFileName(const char* defaultFileName);
   void setMask(const char* mask);
-  void disableFileOpts(void);
+  void disableFileOpts();
 
   void okEvent();
Index: /orxonox/trunk/src/lib/gui/gui_keys.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_keys.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_keys.cc	(revision 4746)
@@ -31,5 +31,5 @@
    \brief Creates an Keyboard-Frame
 */
-GuiKeys::GuiKeys(void)
+GuiKeys::GuiKeys()
 {
   Frame* keysFrame;      //!< The Frame that holds the keyOptions.
@@ -79,5 +79,5 @@
    \brief Destructs the Keys-stuff
 */
-GuiKeys::~GuiKeys(void)
+GuiKeys::~GuiKeys()
 {
   // nothing to do here.
@@ -149,5 +149,5 @@
    \returns the OpenButton of a Player
 */
-Button* PlayerKeys::getOpenButton(void)
+Button* PlayerKeys::getOpenButton()
 {
   return this->openButton;
@@ -214,5 +214,5 @@
    \returns the OpenButton of a Misc
 */
-Button* MiscKeys::getOpenButton(void)
+Button* MiscKeys::getOpenButton()
 {
   return this->openButton;
Index: /orxonox/trunk/src/lib/gui/gui_keys.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_keys.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_keys.h	(revision 4746)
@@ -27,6 +27,6 @@
 {
  public:
-  GuiKeys(void);
-  ~GuiKeys(void);
+  GuiKeys();
+  ~GuiKeys();
 
   static Window* inputWindow; //!< A Window that gets keyboard clicks. Static, because only one needed.
@@ -44,5 +44,5 @@
   PlayerKeys(char* player);
 
-  Button* getOpenButton(void);
+  Button* getOpenButton();
 };
 
@@ -55,5 +55,5 @@
   MiscKeys();
 
-  Button* getOpenButton(void);  
+  Button* getOpenButton();  
 };
 
Index: /orxonox/trunk/src/lib/gui/gui_update.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4746)
@@ -35,5 +35,5 @@
    \brief Creates an Update-Frame
 */
-GuiUpdate::GuiUpdate(void)
+GuiUpdate::GuiUpdate()
 {
   FileDialog* dataDirDialog;   //!< A FileDialog for the selection of the DataRepos
@@ -100,5 +100,5 @@
    \brief Destructs the Update-stuff
 */
-GuiUpdate::~GuiUpdate(void)
+GuiUpdate::~GuiUpdate()
 {
 
@@ -128,5 +128,5 @@
     \brief Look what info we can get from this system
 */
-bool GuiUpdate::getSystemInfo(void)
+bool GuiUpdate::getSystemInfo()
 {
   PRINTF(5)("Grabbing system information\n");
@@ -155,5 +155,5 @@
 
 #ifdef HAVE_CURL
-bool* GuiUpdate::checkForUpdates(void)
+bool* GuiUpdate::checkForUpdates()
 {
   PRINTF(4)("checking for new version of orxonox\n");
@@ -169,5 +169,5 @@
    \brief Creates a window, and all it contains for the Data-update.
 */
-void GuiUpdate::updateDataWindowCreate(void)
+void GuiUpdate::updateDataWindowCreate()
 {
   this->updateDataWindow = new Window("update orxonox::Data");   
@@ -208,5 +208,5 @@
    \returns A Pointer to the Button of the UpdaterDataWindow
 */
-Button* GuiUpdate::updateDataWindowGetButton(void)
+Button* GuiUpdate::updateDataWindowGetButton()
 {
   return this->updateDataWindowButton;
@@ -216,5 +216,5 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-void GuiUpdate::updateSourceWindowCreate(void)
+void GuiUpdate::updateSourceWindowCreate()
 {
   // the button, that opens this Window.
@@ -247,5 +247,5 @@
    \returns A Pointer to the Button of the UpdaterSourceWindow
 */
-Button* GuiUpdate::updateSourceWindowGetButton(void)
+Button* GuiUpdate::updateSourceWindowGetButton()
 {
   return this->updateSourceWindowButton;
Index: /orxonox/trunk/src/lib/gui/gui_update.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_update.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_update.h	(revision 4746)
@@ -37,5 +37,5 @@
   char* userName;                       //!< The user logged in.
 
-  bool getSystemInfo(void);
+  bool getSystemInfo();
  
   // Window creation.
@@ -99,15 +99,15 @@
 
  public:
-  GuiUpdate(void);
-  ~GuiUpdate(void);
+  GuiUpdate();
+  ~GuiUpdate();
   
 #ifdef HAVE_CURL   
-  void updateDataWindowCreate(void);
-  Button* updateDataWindowGetButton(void);
+  void updateDataWindowCreate();
+  Button* updateDataWindowGetButton();
 
-  void updateSourceWindowCreate(void);
-  Button* updateSourceWindowGetButton(void);
+  void updateSourceWindowCreate();
+  Button* updateSourceWindowGetButton();
 
-  bool* checkForUpdates(void);
+  bool* checkForUpdates();
  
 #endif /* HAVE_CURL */
Index: /orxonox/trunk/src/lib/gui/gui_video.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4746)
@@ -34,5 +34,5 @@
    \brief Creates the Video-Option-Frame
 */
-GuiVideo::GuiVideo(void)
+GuiVideo::GuiVideo()
 {
   Frame* videoFrame;        //!< The Frame that holds the video options.
@@ -76,5 +76,5 @@
    \brief Destructs the Video-stuff
 */
-GuiVideo::~GuiVideo(void)
+GuiVideo::~GuiVideo()
 {
   // nothing to do here.
@@ -84,5 +84,5 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-Widget* GuiVideo::advancedWindowCreate(void)
+Widget* GuiVideo::advancedWindowCreate()
 {
   // advanced-Performance-Options
Index: /orxonox/trunk/src/lib/gui/gui_video.h
===================================================================
--- /orxonox/trunk/src/lib/gui/gui_video.h	(revision 4745)
+++ /orxonox/trunk/src/lib/gui/gui_video.h	(revision 4746)
@@ -17,13 +17,13 @@
 {
  private:
-  //  Button* advancedWindowGetButton(void);
+  //  Button* advancedWindowGetButton();
   
  public:
-  GuiVideo(void);
-  ~GuiVideo(void);
+  GuiVideo();
+  ~GuiVideo();
 
  private:
   void getResolutions(Menu* menu);
-  Widget* advancedWindowCreate(void);
+  Widget* advancedWindowCreate();
 };
 #endif /* _GUI_VIDEO_H */
Index: /orxonox/trunk/src/lib/lang/base_object.cc
===================================================================
--- /orxonox/trunk/src/lib/lang/base_object.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/lang/base_object.cc	(revision 4746)
@@ -114,5 +114,5 @@
  * @brief displays everything this class is
  */
-void BaseObject::whatIs(void) const
+void BaseObject::whatIs() const
 {
   PRINT(0)("object %s of class %s: ", this->getName(), this->getClassName());
Index: /orxonox/trunk/src/lib/lang/base_object.h
===================================================================
--- /orxonox/trunk/src/lib/lang/base_object.h	(revision 4745)
+++ /orxonox/trunk/src/lib/lang/base_object.h	(revision 4746)
@@ -28,13 +28,13 @@
   void setName (const char* newName);
   /** \brief returns the Name of this Object */
-  inline const char* getName (void)const { return this->objectName; };
+  inline const char* getName ()const { return this->objectName; };
 
   /** \returns the className of the corresponding Object */
-  inline const char* getClassName(void) const { return this->className; };
+  inline const char* getClassName() const { return this->className; };
   /** \returns the classID of the corresponding Object */
-  inline int getClassID(void) const { return this->classID; }
+  inline int getClassID() const { return this->classID; }
 
   bool isA (ClassID classID) const;
-  void whatIs(void) const;
+  void whatIs() const;
 
   /** \returns if the object is finalized */
@@ -46,5 +46,5 @@
 
   /** \brief this finalizes an object and makes it ready to be garbage collected */
-  void finalize(void) { this->finalized = true; };
+  void finalize() { this->finalized = true; };
 
   private:
Index: /orxonox/trunk/src/lib/math/curve.cc
===================================================================
--- /orxonox/trunk/src/lib/math/curve.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/math/curve.cc	(revision 4746)
@@ -36,5 +36,5 @@
     \brief default constructor for a Curve
 */
-Curve::Curve(void)
+Curve::Curve()
 {
   nodeCount = 0;
@@ -128,5 +128,5 @@
    \brief Outputs information about the state of this Curve
 */
-void Curve::debug(void)
+void Curve::debug()
 {
   printf("<<-------------------------------\n");
@@ -150,5 +150,5 @@
    \brief Creates a new BezierCurve
 */
-BezierCurve::BezierCurve (void)
+BezierCurve::BezierCurve ()
 {
   this->derivation = 0;
@@ -170,5 +170,5 @@
    It does this by freeing all the space taken over from the nodes
 */
-BezierCurve::~BezierCurve(void)
+BezierCurve::~BezierCurve()
 {
   PathNode* tmpNode;
@@ -187,5 +187,5 @@
    \brief Rebuilds a Curve
 */
-void BezierCurve::rebuild(void)
+void BezierCurve::rebuild()
 {
   PathNode* tmpNode = firstNode;
@@ -291,5 +291,5 @@
   \return a Vector to the calculated position
 */
-Vector BezierCurve::getPos(void) const
+Vector BezierCurve::getPos() const
 {
   return curvePoint;
Index: /orxonox/trunk/src/lib/math/curve.h
===================================================================
--- /orxonox/trunk/src/lib/math/curve.h	(revision 4745)
+++ /orxonox/trunk/src/lib/math/curve.h	(revision 4746)
@@ -31,5 +31,5 @@
 
  public:
-  Curve(void);
+  Curve();
 
   void addNode(const Vector& newNode);
@@ -37,7 +37,7 @@
   Vector getNode(unsigned int nodeToFind);
   /** \returns the count of nodes in this curve */
-  inline int getNodeCount(void) const { return this->nodeCount; };
+  inline int getNodeCount() const { return this->nodeCount; };
   /** \returns the directional Curve */
-  Curve* getDirCurve(void) const { return this->dirCurve; };
+  Curve* getDirCurve() const { return this->dirCurve; };
 
   /** \param t the value on the curve [0-1] \returns Vector to the position */
@@ -51,9 +51,9 @@
 
   // DEBUG
-  void debug(void);
+  void debug();
 
  private:
   /** \brief rebuilds the curve */
-  virtual void rebuild(void) = 0;
+  virtual void rebuild() = 0;
 
  protected:
@@ -78,7 +78,7 @@
 {
  public:
-  BezierCurve(void);
+  BezierCurve();
   BezierCurve(int derivation);
-  virtual ~BezierCurve(void);
+  virtual ~BezierCurve();
 
   virtual Vector calcPos(float t);
@@ -88,8 +88,8 @@
 
 
-  Vector getPos(void) const;
+  Vector getPos() const;
 
  private:
-  void rebuild(void);
+  void rebuild();
 };
 
Index: /orxonox/trunk/src/lib/math/vector.cc
===================================================================
--- /orxonox/trunk/src/lib/math/vector.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/math/vector.cc	(revision 4746)
@@ -59,5 +59,5 @@
    \brief Outputs the values of the Vector
 */
-void Vector::debug(void) const
+void Vector::debug() const
 {
   PRINT(0)("Vector Debug information\n");
@@ -391,5 +391,5 @@
    \brief outputs some nice formated debug information about this quaternion
 */
-void Quaternion::debug(void)
+void Quaternion::debug()
 {
   PRINT(0)("Quaternion Debug Information\n");
Index: /orxonox/trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4746)
@@ -159,5 +159,5 @@
 }
 
-const char* ParticleEmitter::getTypeC(void) const
+const char* ParticleEmitter::getTypeC() const
 {
   if (this->type == EMITTER_PLANE)
@@ -310,5 +310,5 @@
    \brief outputs some nice debug information
 */
-void ParticleEmitter::debug(void) const
+void ParticleEmitter::debug() const
 {
   PRINT(0)(" Emitter %s\n", this->getName());
Index: /orxonox/trunk/src/lib/particles/particle_emitter.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4746)
@@ -36,5 +36,5 @@
                   float emissionRate = 1.0, float velocity = 1.0);
   ParticleEmitter(const TiXmlElement* root);
-  virtual ~ParticleEmitter(void);
+  virtual ~ParticleEmitter();
 
   void init();
@@ -59,21 +59,21 @@
 
   /** \returns the type of the emitter */
-  inline EMITTER_TYPE getType(void) const { return this->type; };
+  inline EMITTER_TYPE getType() const { return this->type; };
   /** \returns the Type as a const char * */
-  const char* getTypeC(void) const;
+  const char* getTypeC() const;
   /** \returns the Size of the emitter */
-  inline float getSize(void) const { return this->emitterSize; };
+  inline float getSize() const { return this->emitterSize; };
   /** \returns the emissionRate */
-  inline float getEmissionRate(void) const { return this->emissionRate; };
+  inline float getEmissionRate() const { return this->emissionRate; };
   /** \returns the inherit-speed-factor */
-  inline float getInheritSpeed(void) const { return this->inheritSpeed; };
+  inline float getInheritSpeed() const { return this->inheritSpeed; };
   /** \returns the SpreadAngle of the emitter */
-  inline float getSpread(void) const { return this->angle; };
+  inline float getSpread() const { return this->angle; };
   /** \returns the EmissionVelocity of the emitter */
-  inline float getEmissionVelocity(void) const { return this->velocity; };
+  inline float getEmissionVelocity() const { return this->velocity; };
   /** \returns the EmissionMomentum of this emitter */
-  inline float getEmissionMomentum(void) const { return this->momentum; };
+  inline float getEmissionMomentum() const { return this->momentum; };
 
-  void debug(void) const;
+  void debug() const;
 
  private:
Index: /orxonox/trunk/src/lib/particles/particle_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4746)
@@ -389,5 +389,5 @@
    \brief outputs some nice debug information
 */
-void ParticleEngine::debug(void)
+void ParticleEngine::debug()
 {
   PRINT(0)("+-----------------------------------+\n");
Index: /orxonox/trunk/src/lib/particles/particle_engine.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4746)
@@ -33,12 +33,12 @@
 
  public:
-  virtual ~ParticleEngine(void);
+  virtual ~ParticleEngine();
   /** \returns a Pointer to the only object of this Class */
-  inline static ParticleEngine* getInstance(void) { if (!singletonRef) singletonRef = new ParticleEngine();  return singletonRef; };
+  inline static ParticleEngine* getInstance() { if (!singletonRef) singletonRef = new ParticleEngine();  return singletonRef; };
 
   void loadParams(const TiXmlElement* root);
 
   void tick(float dt);
-  void draw(void) const;
+  void draw() const;
 
   void addSystem(ParticleSystem* system);
@@ -61,5 +61,5 @@
 
  private:
-  ParticleEngine(void);
+  ParticleEngine();
   static ParticleEngine* singletonRef;        //!< The reference to the engine.
 
Index: /orxonox/trunk/src/lib/particles/particle_system.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4746)
@@ -89,5 +89,5 @@
   \brief initializes the ParticleSystem with default values
 */
-void ParticleSystem::init(void)
+void ParticleSystem::init()
 {
   this->setClassID(CL_PARTICLE_SYSTEM, "ParticleSystem");
@@ -367,5 +367,5 @@
  * \returns the count of Faces of this ParticleSystem
  */
-unsigned int ParticleSystem::getFaceCount(void) const
+unsigned int ParticleSystem::getFaceCount() const
 {
   switch (this->particleType)
@@ -389,5 +389,5 @@
    This is just the fastest Way to do this, but will most likely be changed in the future.
  */
-void ParticleSystem::draw(void) const
+void ParticleSystem::draw() const
 {
   glPushAttrib(GL_ENABLE_BIT);
@@ -581,5 +581,5 @@
    \brief outputs some nice debug information
 */
-void ParticleSystem::debug(void) const
+void ParticleSystem::debug() const
 {
   PRINT(0)("  ParticleSystem %s, type: ", this->getName());
Index: /orxonox/trunk/src/lib/particles/particle_system.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.h	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/particle_system.h	(revision 4746)
@@ -73,5 +73,5 @@
   virtual ~ParticleSystem();
 
-  void init(void);
+  void init();
   void loadParams(const TiXmlElement* root);
 
@@ -90,19 +90,19 @@
 
   /** \returns the Type of the particles */
-  inline PARTICLE_TYPE getType(void) const { return this->particleType; };
+  inline PARTICLE_TYPE getType() const { return this->particleType; };
   /** \returns the Material that lies on this particles */
-  inline const Material* getMaterial(void) const { return this->material; };
+  inline const Material* getMaterial() const { return this->material; };
   /** \returns the lifespan of the particles */
-  inline float getLifeSpan(void) const { return this->lifeSpan; };
+  inline float getLifeSpan() const { return this->lifeSpan; };
   /** \returns the starting-radius of the particles */
-  inline float getStartRadius(void) { return this->radiusAnim.getValue(0.0); };
+  inline float getStartRadius() { return this->radiusAnim.getValue(0.0); };
   /** \returns the end-radius of the particles */
-  inline float getEndRadius(void) { return this->radiusAnim.getValue(1.0); };
+  inline float getEndRadius() { return this->radiusAnim.getValue(1.0); };
   /** \returns the conserve-factor of the particles */
-  inline float getConserve(void) const { return this->conserve; };
+  inline float getConserve() const { return this->conserve; };
   /** \returns the initial mass of the particles */
-  inline float getMass(void) const { return this->initialMass; };
+  inline float getMass() const { return this->initialMass; };
 
-  virtual unsigned int getFaceCount(void) const;
+  virtual unsigned int getFaceCount() const;
 
 
@@ -114,7 +114,7 @@
 
   virtual void tick(float dt);
-  virtual void draw(void) const;
+  virtual void draw() const;
 
-  void debug(void) const;
+  void debug() const;
 
  private:
Index: /orxonox/trunk/src/lib/particles/quick_animation.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/quick_animation.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/quick_animation.cc	(revision 4746)
@@ -30,5 +30,5 @@
    \brief standard constructor
 */
-QuickAnimation::QuickAnimation (void)
+QuickAnimation::QuickAnimation ()
 {
    this->setClassID(CL_QUICK_ANIMATION, "QuickAnimation");
@@ -45,5 +45,5 @@
    \brief deletes all the deconstructor stuff
 */
-QuickAnimation::~QuickAnimation (void)
+QuickAnimation::~QuickAnimation ()
 {
   this->current = this->first;
@@ -228,5 +228,5 @@
    \brief outputs some nice information about this class
 */
-void QuickAnimation::debug(void)
+void QuickAnimation::debug()
 {
   this->current = this->first;
Index: /orxonox/trunk/src/lib/particles/quick_animation.h
===================================================================
--- /orxonox/trunk/src/lib/particles/quick_animation.h	(revision 4745)
+++ /orxonox/trunk/src/lib/particles/quick_animation.h	(revision 4746)
@@ -49,5 +49,5 @@
   float getValue(float position);
 
-  void debug(void);
+  void debug();
 
  private:
Index: /orxonox/trunk/src/lib/physics/fields/field.cc
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/field.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/physics/fields/field.cc	(revision 4746)
@@ -44,5 +44,5 @@
   \brief initializes a Field
 */
-void Field::init(void)
+void Field::init()
 {
   this->setClassID(CL_FIELD, "Field");
Index: /orxonox/trunk/src/lib/physics/fields/field.h
===================================================================
--- /orxonox/trunk/src/lib/physics/fields/field.h	(revision 4745)
+++ /orxonox/trunk/src/lib/physics/fields/field.h	(revision 4746)
@@ -38,5 +38,5 @@
   virtual ~Field();
 
-  void init(void);
+  void init();
   void loadParams(const TiXmlElement* root);
 
@@ -49,9 +49,9 @@
   void setMagnitude(float magnitude);
   /** \returns The Magnitude of the Field */
-  inline const float& getMagnitude(void) const {return this->magnitude;}
+  inline const float& getMagnitude() const {return this->magnitude;}
 
   void setAttenuation(float attenuation);
   /** \returns The Attenuation of the Fiels */
-  inline const float& getAttenuation(void) const {return this->attenuation;}
+  inline const float& getAttenuation() const {return this->attenuation;}
 
  private:
Index: /orxonox/trunk/src/lib/physics/physics_connection.cc
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4746)
@@ -101,5 +101,5 @@
     \brief applies the Force to some Object.
 */
-void PhysicsConnection::apply(void) const
+void PhysicsConnection::apply() const
 {
   if (likely(this->type == PCON_PhysIField && this->field->getMagnitude() != 0.0
Index: /orxonox/trunk/src/lib/physics/physics_connection.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4745)
+++ /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4746)
@@ -37,5 +37,5 @@
   void setField(const char* fieldName);
 
-  void apply(void) const;
+  void apply() const;
 
  private:
Index: /orxonox/trunk/src/lib/physics/physics_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4746)
@@ -31,5 +31,5 @@
    \brief standard constructor
 */
-PhysicsEngine::PhysicsEngine(void)
+PhysicsEngine::PhysicsEngine()
 {
   this->setClassID(CL_PHYSICS_ENGINE, "PhysicsEngine");
@@ -49,5 +49,5 @@
 
 */
-PhysicsEngine::~PhysicsEngine(void)
+PhysicsEngine::~PhysicsEngine()
 {
   PhysicsEngine::singletonRef = NULL;
@@ -268,5 +268,5 @@
    \brief print out interesting debug information of this class
 */
-void PhysicsEngine::debug(void) const
+void PhysicsEngine::debug() const
 {
   PRINT(0)("====================================\n");
Index: /orxonox/trunk/src/lib/physics/physics_engine.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_engine.h	(revision 4745)
+++ /orxonox/trunk/src/lib/physics/physics_engine.h	(revision 4746)
@@ -22,7 +22,7 @@
 
  public:
-  virtual ~PhysicsEngine(void);
+  virtual ~PhysicsEngine();
   /** \returns a Pointer to the only object of this Class */
-  inline static PhysicsEngine* getInstance(void) { if (!singletonRef) singletonRef = new PhysicsEngine();  return singletonRef; };
+  inline static PhysicsEngine* getInstance() { if (!singletonRef) singletonRef = new PhysicsEngine();  return singletonRef; };
 
   void loadParams(const TiXmlElement* root);
@@ -45,8 +45,8 @@
   void                   tick(float dt);
 
-  void                   debug(void) const;
+  void                   debug() const;
 
  private:
-  PhysicsEngine(void);
+  PhysicsEngine();
 
  private:
Index: /orxonox/trunk/src/lib/sound/sound_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/sound/sound_engine.cc	(revision 4745)
+++ /orxonox/trunk/src/lib/sound/sound_engine.cc	(revision 4746)
@@ -79,5 +79,5 @@
 }
 
-SoundBuffer::~SoundBuffer(void)
+SoundBuffer::~SoundBuffer()
 {
   SoundEngine::getInstance()->removeBuffer(this);
@@ -115,5 +115,5 @@
    \brief deletes a SoundSource
 */
-SoundSource::~SoundSource(void)
+SoundSource::~SoundSource()
 {
   SoundEngine::getInstance()->removeSource(this);
@@ -306,5 +306,5 @@
    \brief updates all The positions, Directions and Velocities of all Sounds
 */
-void SoundEngine::update(void)
+void SoundEngine::update()
 {
 
@@ -351,5 +351,5 @@
    \brief Removes all the Buffers that are not anymore needed by any Sources
 */
-void SoundEngine::flushUnusedBuffers(void)
+void SoundEngine::flushUnusedBuffers()
 {
   tIterator<SoundBuffer>* bufferIterator = this->bufferList->getIterator();
@@ -376,5 +376,5 @@
    \brief SourceEngine::flushAllBuffers
 */
-void SoundEngine::flushAllBuffers(void)
+void SoundEngine::flushAllBuffers()
 {
     tIterator<SoundBuffer>* bufferIterator = this->bufferList->getIterator();
@@ -391,5 +391,5 @@
    \brief initializes Audio in general
 */
-bool SoundEngine::initAudio(void)
+bool SoundEngine::initAudio()
 {
   ALenum result;
Index: /orxonox/trunk/src/lib/sound/sound_engine.h
===================================================================
--- /orxonox/trunk/src/lib/sound/sound_engine.h	(revision 4745)
+++ /orxonox/trunk/src/lib/sound/sound_engine.h	(revision 4746)
@@ -24,8 +24,8 @@
  public:
   SoundBuffer(const char* fileName);
-  ~SoundBuffer(void);
+  ~SoundBuffer();
 
   /** \returns the ID of the buffer used in this SoundBuffer */
-  inline ALuint getID(void) { return this->bufferID; }
+  inline ALuint getID() { return this->bufferID; }
 
  private:
@@ -41,5 +41,5 @@
  public:
   SoundSource(SoundBuffer* buffer, PNode* sourceNode = NULL);
-  ~SoundSource(void);
+  ~SoundSource();
 
   // user interaction
@@ -51,9 +51,9 @@
   // development functions
   /** \returns The ID of this Source */
-  inline ALuint getID(void) const { return this->sourceID; }
+  inline ALuint getID() const { return this->sourceID; }
   /** \returns the SoundBuffer of this Source */
-  inline SoundBuffer* getBuffer(void) const { return this->buffer; }
+  inline SoundBuffer* getBuffer() const { return this->buffer; }
   /** \returns the SourceNode of this Source */
-  inline PNode* getNode(void) const { return this->sourceNode;}
+  inline PNode* getNode() const { return this->sourceNode;}
 
   void setRolloffFactor(ALfloat rolloffFactor);
@@ -71,7 +71,7 @@
 
  public:
-  virtual ~SoundEngine(void);
+  virtual ~SoundEngine();
   /** \returns a Pointer to the only object of this Class */
-  inline static SoundEngine* getInstance(void) { if (!singletonRef) singletonRef = new SoundEngine();  return singletonRef; };
+  inline static SoundEngine* getInstance() { if (!singletonRef) singletonRef = new SoundEngine();  return singletonRef; };
 
   SoundSource* createSource(const char* fileName, PNode* sourceNode = NULL);
@@ -86,10 +86,10 @@
   void removeSource(SoundSource* source);
 
-  void update(void);
+  void update();
 
   // administrative
-  void flushUnusedBuffers(void);
-  void flushAllBuffers(void);
-  bool initAudio(void);
+  void flushUnusedBuffers();
+  void flushAllBuffers();
+  bool initAudio();
 
   // error handling:
@@ -99,5 +99,5 @@
 
  private:
-  SoundEngine(void);
+  SoundEngine();
   static SoundEngine*      singletonRef;             //!< Reference to this class
 
Index: /orxonox/trunk/src/orxonox.cc
===================================================================
--- /orxonox/trunk/src/orxonox.cc	(revision 4745)
+++ /orxonox/trunk/src/orxonox.cc	(revision 4746)
@@ -89,5 +89,5 @@
    \returns reference or new Object of Orxonox if not existent.
 */
-Orxonox* Orxonox::getInstance (void)
+Orxonox* Orxonox::getInstance ()
 {
   if (singletonRef == NULL)
Index: /orxonox/trunk/src/story_entities/world.h
===================================================================
--- /orxonox/trunk/src/story_entities/world.h	(revision 4745)
+++ /orxonox/trunk/src/story_entities/world.h	(revision 4746)
@@ -39,5 +39,5 @@
   static WorldInterface* getInstance();
   void init(World* world);
-  inline World* getCurrentWorld(void) {return this->worldReference;}
+  inline World* getCurrentWorld() {return this->worldReference;}
   tList<WorldEntity>* getEntityList();
 
@@ -96,5 +96,5 @@
   void setPath( const char* name);
 
-  inline Camera* getLocalCamera(void) {return this->localCamera;}
+  inline Camera* getLocalCamera() {return this->localCamera;}
 
  private:
Index: /orxonox/trunk/src/subprojects/benchmark.h
===================================================================
--- /orxonox/trunk/src/subprojects/benchmark.h	(revision 4745)
+++ /orxonox/trunk/src/subprojects/benchmark.h	(revision 4746)
@@ -8,5 +8,5 @@
 #define _BENCHMARK_H
 
-int startBenchmarks(void);
+int startBenchmarks();
 
 
Index: /orxonox/trunk/src/util/animation/animation.cc
===================================================================
--- /orxonox/trunk/src/util/animation/animation.cc	(revision 4745)
+++ /orxonox/trunk/src/util/animation/animation.cc	(revision 4746)
@@ -25,5 +25,5 @@
    This also adds the Animation automatically to the AnimationPlayer's list
 */
-Animation::Animation(void)
+Animation::Animation()
 {
   this->setClassID(CL_ANIMATION, "Animation");
@@ -48,5 +48,5 @@
    this also takes the animation out of the AnimationPlayer's list (if it is there)
 */
-Animation::~Animation(void)
+Animation::~Animation()
 {
   this->doNotHandle();
@@ -59,5 +59,5 @@
    This means that it will not be ticked, and not be deleted with the AnimationPlayer
 */
-void Animation::doNotHandle(void)
+void Animation::doNotHandle()
 {
   if (this->bHandled)
@@ -77,5 +77,5 @@
    \brief handles the Animation if it gets out of boundraries eg. if animation is finished.
 */
-void Animation::handleInfinity(void)
+void Animation::handleInfinity()
 {
   switch (this->postInfinity)
Index: /orxonox/trunk/src/util/animation/animation.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation.h	(revision 4745)
+++ /orxonox/trunk/src/util/animation/animation.h	(revision 4746)
@@ -75,6 +75,6 @@
 {
  public:
-  virtual ~Animation(void);
-  void doNotHandle(void);
+  virtual ~Animation();
+  void doNotHandle();
 
   void setInfinity(ANIM_INFINITY postInfinity = ANIM_INF_CONSTANT);
@@ -92,13 +92,13 @@
 
   /** \returns the BaseObject, this animation operates on */
-  BaseObject* getBaseObject(void) const { return this->baseObject; };
+  BaseObject* getBaseObject() const { return this->baseObject; };
 
   /** \returns if the Animation should be deleted */
-  inline bool ifDelete(void) { return bDelete; };
+  inline bool ifDelete() { return bDelete; };
 
  protected:
-  Animation(void);
+  Animation();
 
-  void handleInfinity(void);
+  void handleInfinity();
 
  protected:
Index: /orxonox/trunk/src/util/animation/animation3d.cc
===================================================================
--- /orxonox/trunk/src/util/animation/animation3d.cc	(revision 4745)
+++ /orxonox/trunk/src/util/animation/animation3d.cc	(revision 4746)
@@ -54,5 +54,5 @@
    deletes all the Keyframes
 */
-Animation3D::~Animation3D(void)
+Animation3D::~Animation3D()
 {
   // delete all the KeyFrames
@@ -71,5 +71,5 @@
    \brief rewinds the Animation to the beginning (first KeyFrame and time == 0)
 */
-void Animation3D::rewind(void)
+void Animation3D::rewind()
 {
   this->currentKeyFrame = keyFrameList->firstElement();
Index: /orxonox/trunk/src/util/animation/animation3d.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation3d.h	(revision 4745)
+++ /orxonox/trunk/src/util/animation/animation3d.h	(revision 4746)
@@ -32,7 +32,7 @@
  public:
   Animation3D(PNode* object);
-  virtual ~Animation3D(void);
+  virtual ~Animation3D();
 
-  virtual void rewind(void);
+  virtual void rewind();
 
   void addKeyFrame(Vector position, Quaternion direction, float time, ANIM_FUNCTION animFuncMov = ANIM_DEFAULT_FUNCTION, ANIM_FUNCTION animFuncRot = ANIM_NULL);
Index: /orxonox/trunk/src/util/animation/animation_player.cc
===================================================================
--- /orxonox/trunk/src/util/animation/animation_player.cc	(revision 4745)
+++ /orxonox/trunk/src/util/animation/animation_player.cc	(revision 4746)
@@ -82,5 +82,5 @@
    \brief empties the list AND deletes all the Animations
 */
-void AnimationPlayer::flush(void)
+void AnimationPlayer::flush()
 {
   // deleting the Animation List AND all the elements of the List
@@ -126,5 +126,5 @@
    \brief starts playing the AnimationPlayer
 */
-void AnimationPlayer::play(void)
+void AnimationPlayer::play()
 {
   this->bRunning = true;
@@ -134,5 +134,5 @@
    \brief pauses playing of the AnimationPlayer
 */
-void AnimationPlayer::pause(void)
+void AnimationPlayer::pause()
 {
   this->bRunning = false;
@@ -166,5 +166,5 @@
    \brief Outputs some nice debug-information
 */
-void AnimationPlayer::debug(void)
+void AnimationPlayer::debug()
 {
   PRINT(0)("+------------------------------------+\n");
Index: /orxonox/trunk/src/util/animation/animation_player.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation_player.h	(revision 4745)
+++ /orxonox/trunk/src/util/animation/animation_player.h	(revision 4746)
@@ -30,25 +30,25 @@
  public:
   /** \returns a Pointer to the only object of this Class */
-  inline static AnimationPlayer* getInstance(void) { if (!singletonRef) singletonRef = new AnimationPlayer();  return singletonRef; };
+  inline static AnimationPlayer* getInstance() { if (!singletonRef) singletonRef = new AnimationPlayer();  return singletonRef; };
 
-  virtual ~AnimationPlayer(void);
+  virtual ~AnimationPlayer();
 
   // animation handling
   void addAnimation(Animation* animation);
   void removeAnimation(Animation* animation);
-  void flush(void);
+  void flush();
 
   // time functions
   void tick(float timePassed);
-  void play(void);
-  void pause(void);
+  void play();
+  void pause();
 
   Animation* getAnimationFromBaseObject(const BaseObject* baseObject) const;
 
-  void debug(void);
+  void debug();
 
  private:
   /* singleton */
-  AnimationPlayer(void);
+  AnimationPlayer();
   static AnimationPlayer*      singletonRef;          //!< SingletonReference to this class.
 
Index: /orxonox/trunk/src/util/animation/t_animation.h
===================================================================
--- /orxonox/trunk/src/util/animation/t_animation.h	(revision 4745)
+++ /orxonox/trunk/src/util/animation/t_animation.h	(revision 4746)
@@ -122,5 +122,5 @@
 */
 template<class T>
-void tAnimation<T>::rewind(void)
+void tAnimation<T>::rewind()
 {
   this->currentKeyFrame = keyFrameList->firstElement();
Index: /orxonox/trunk/src/util/garbage_collector.h
===================================================================
--- /orxonox/trunk/src/util/garbage_collector.h	(revision 4745)
+++ /orxonox/trunk/src/util/garbage_collector.h	(revision 4746)
@@ -24,5 +24,5 @@
   virtual ~GarbageCollector();
   /** \returns a Pointer to the only object of this Class */
-  inline static GarbageCollector* getInstance(void) { if (!singletonRef) singletonRef = new GarbageCollector();  return singletonRef; };
+  inline static GarbageCollector* getInstance() { if (!singletonRef) singletonRef = new GarbageCollector();  return singletonRef; };
 
   void setCollectionDelay(float delay);
Index: /orxonox/trunk/src/util/loading/factory.h
===================================================================
--- /orxonox/trunk/src/util/loading/factory.h	(revision 4745)
+++ /orxonox/trunk/src/util/loading/factory.h	(revision 4746)
@@ -53,5 +53,5 @@
   static Factory* getFirst() { return Factory::first; };
   /** \returns the next factory */
-  Factory* getNext(void) const { return this->next; };
+  Factory* getNext() const { return this->next; };
 
 
Index: /orxonox/trunk/src/util/loading/load_param.cc
===================================================================
--- /orxonox/trunk/src/util/loading/load_param.cc	(revision 4745)
+++ /orxonox/trunk/src/util/loading/load_param.cc	(revision 4746)
@@ -179,5 +179,5 @@
    \brief removes all the alocated memory
 */
-LoadParamDescription::~LoadParamDescription(void)
+LoadParamDescription::~LoadParamDescription()
 {
   for(int i = 0; i < this->paramCount; i++)
@@ -208,5 +208,5 @@
    \brief prints out this parameter, its input method and the description (if availiable)
 */
-void LoadParamDescription::print(void) const
+void LoadParamDescription::print() const
 {
   PRINT(3)(" <%s>", this->paramName);
@@ -268,5 +268,5 @@
    \brief deletes a classDescription (deletes all the parameterDescriptions as well
 */
-LoadClassDescription::~LoadClassDescription(void)
+LoadClassDescription::~LoadClassDescription()
 {
   delete []this->className;
Index: /orxonox/trunk/src/util/loading/load_param.h
===================================================================
--- /orxonox/trunk/src/util/loading/load_param.h	(revision 4745)
+++ /orxonox/trunk/src/util/loading/load_param.h	(revision 4746)
@@ -254,11 +254,11 @@
  public:
   LoadParamDescription(const char* paramName);
-  ~LoadParamDescription(void);
+  ~LoadParamDescription();
 
   void setDescription(const char* descriptionText);
   /** \returns the descriptionString */
-  const char* getDescription(void) { return this->description; };
-
-  void print(void) const;
+  const char* getDescription() { return this->description; };
+
+  void print() const;
  private:
   char*         paramName;             //!< The name of the parameter.
@@ -275,5 +275,5 @@
  public:
   LoadClassDescription(const char* className);
-  ~LoadClassDescription(void);
+  ~LoadClassDescription();
 
   static LoadClassDescription* addClass(const char* className);
Index: /orxonox/trunk/src/util/object_manager.cc
===================================================================
--- /orxonox/trunk/src/util/object_manager.cc	(revision 4745)
+++ /orxonox/trunk/src/util/object_manager.cc	(revision 4746)
@@ -92,5 +92,5 @@
    \brief outputs some simple debug information about the ObjectManage
 */
-void ObjectManager::debug(void) const
+void ObjectManager::debug() const
 {
   PRINT(0)("\n==========================| ObjectManager::debug() |===\n");
Index: /orxonox/trunk/src/util/object_manager.h
===================================================================
--- /orxonox/trunk/src/util/object_manager.h	(revision 4745)
+++ /orxonox/trunk/src/util/object_manager.h	(revision 4746)
@@ -44,7 +44,7 @@
 
  public:
-  virtual ~ObjectManager(void);
+  virtual ~ObjectManager();
   /** \returns a Pointer to the only object of this Class */
-  inline static ObjectManager* getInstance(void) { if (!singletonRef) singletonRef = new ObjectManager();  return singletonRef; };
+  inline static ObjectManager* getInstance() { if (!singletonRef) singletonRef = new ObjectManager();  return singletonRef; };
 
   void registerClass(ClassID classID);
@@ -55,8 +55,8 @@
   BaseObject* getFromDeadList(int index, int number = 1);
 
-  void debug(void) const;
+  void debug() const;
 
  private:
-  ObjectManager(void);
+  ObjectManager();
 
  private:
Index: /orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- /orxonox/trunk/src/util/resource_manager.cc	(revision 4745)
+++ /orxonox/trunk/src/util/resource_manager.cc	(revision 4746)
@@ -66,5 +66,5 @@
    \brief standard destructor
 */
-ResourceManager::~ResourceManager (void)
+ResourceManager::~ResourceManager ()
 {
   // deleting the Resources-List
@@ -780,5 +780,5 @@
    \brief outputs debug information about the ResourceManager
 */
-void ResourceManager::debug(void) const
+void ResourceManager::debug() const
 {
   PRINT(0)("=RM===================================\n");
Index: /orxonox/trunk/src/util/resource_manager.h
===================================================================
--- /orxonox/trunk/src/util/resource_manager.h	(revision 4745)
+++ /orxonox/trunk/src/util/resource_manager.h	(revision 4746)
@@ -100,9 +100,9 @@
   virtual ~ResourceManager();
   /** \returns a Pointer to the only object of this Class */
-  inline static ResourceManager* getInstance(void) { if (!singletonRef) singletonRef = new ResourceManager();  return singletonRef; };
+  inline static ResourceManager* getInstance() { if (!singletonRef) singletonRef = new ResourceManager();  return singletonRef; };
 
   bool setDataDir(const char* dataDir);
   /** \returns the Name of the data directory */
-  inline const char* getDataDir(void) const {return this->dataDir;}
+  inline const char* getDataDir() const {return this->dataDir;}
 
   bool checkDataDir(const char* fileInside);
@@ -116,5 +116,5 @@
   bool unloadAllByPriority(ResourcePriority prio);
 
-  void debug(void) const;
+  void debug() const;
 
 
Index: /orxonox/trunk/src/util/state.h
===================================================================
--- /orxonox/trunk/src/util/state.h	(revision 4745)
+++ /orxonox/trunk/src/util/state.h	(revision 4746)
@@ -17,16 +17,16 @@
  public:
   /** \returns a Pointer to the only object of this Class */
-  inline static State* getInstance(void) { if (!singletonRef) singletonRef = new State();  return singletonRef; };
+  inline static State* getInstance() { if (!singletonRef) singletonRef = new State();  return singletonRef; };
 
-  virtual ~State(void);
+  virtual ~State();
 
   void setCamera(const PNode* camera, const PNode* cameraTarget);
   /** \returns a Pointer to the PNode of the Camera */
-  const PNode* getCamera(void) const { return this->camera; };
+  const PNode* getCamera() const { return this->camera; };
   /** \returns a Pointer to the CameraTarget */
-  const PNode* getCameraTarget(void) const { return this->cameraTarget; };
+  const PNode* getCameraTarget() const { return this->cameraTarget; };
 
  private:
-  State(void);
+  State();
   static State*       singletonRef;       //!< a reference to this class
 
Index: /orxonox/trunk/src/util/track/track_manager.cc
===================================================================
--- /orxonox/trunk/src/util/track/track_manager.cc	(revision 4745)
+++ /orxonox/trunk/src/util/track/track_manager.cc	(revision 4746)
@@ -38,5 +38,5 @@
    \brief initializes a TrackElement (sets the default values)
 */
-TrackElement::TrackElement(void)
+TrackElement::TrackElement()
 {
   this->setClassID(CL_TRACK_ELEMENT, "TrackElement");
@@ -69,5 +69,5 @@
     \todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
 */
-TrackElement::~TrackElement(void)
+TrackElement::~TrackElement()
 {
   // deleting the Curve
@@ -152,5 +152,5 @@
    You actually have to act on false!!
 */
-bool TrackElement::backLoopCheck(void) const
+bool TrackElement::backLoopCheck() const
 {
   tList<const TrackElement>* trackList = new tList<const TrackElement>;
@@ -216,5 +216,5 @@
    \brief prints out debug information about this TrackElement
 */
-void TrackElement::debug(void) const
+void TrackElement::debug() const
 {
   PRINT(0)("--== TrackElement:%i ==--", this->ID);
@@ -357,5 +357,5 @@
 
 */
-TrackManager::TrackManager(void)
+TrackManager::TrackManager()
 {
   this->setClassID(CL_TRACK_MANAGER, "TrackManager");
@@ -456,5 +456,5 @@
    \brief standard destructor
 */
-TrackManager::~TrackManager(void)
+TrackManager::~TrackManager()
 {
   PRINTF(3)("Destruct TrackManager\n");
@@ -997,5 +997,5 @@
    \todo check for any inconsistencies, output errors
 */
-void TrackManager::finalize(void)
+void TrackManager::finalize()
 {
   for (int i = 1; i<= trackElemCount ;i++)
@@ -1061,5 +1061,5 @@
    \returns the current Width of the track
 */
-float TrackManager::getWidth(void) const
+float TrackManager::getWidth() const
 {
   return this->currentTrackElem->width;
@@ -1152,5 +1152,5 @@
    \returns the main TrackNode
 */
-PNode* TrackManager::getTrackNode(void)
+PNode* TrackManager::getTrackNode()
 {
   return this->trackNode;
Index: /orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- /orxonox/trunk/src/util/track/track_manager.h	(revision 4745)
+++ /orxonox/trunk/src/util/track/track_manager.h	(revision 4746)
@@ -43,10 +43,10 @@
 {
  public:
-  TrackElement(void);
-  ~TrackElement(void);
+  TrackElement();
+  ~TrackElement();
 
   TrackElement* findByID(unsigned int trackID);
   TrackElement* findByName(const char* trackName);
-  bool backLoopCheck(void) const;
+  bool backLoopCheck() const;
 
   TrackElement* getChild(int childNumber) const;
@@ -78,5 +78,5 @@
   TrackElement* history;     //!< a pointer to the last TrackElement we were on. This is if you want to walk the path backwards again.
 
-  void debug(void) const;
+  void debug() const;
 
   // CONDITION FUNCTIONS and STUFF
@@ -135,7 +135,7 @@
 {
  public:
-  virtual ~TrackManager(void);
+  virtual ~TrackManager();
   /** \returns a Pointer to the only object of this Class */
-  inline static TrackManager* getInstance(void) { if (!singletonRef) singletonRef = new TrackManager();  return singletonRef; };
+  inline static TrackManager* getInstance() { if (!singletonRef) singletonRef = new TrackManager();  return singletonRef; };
 
   bool loadParams(TiXmlElement* root);
@@ -166,10 +166,10 @@
   void joinS(unsigned int cound, ...);
   void joinV(unsigned int count, int* trackIDs);
-  void finalize(void);
+  void finalize();
 
   // Methods to calculate the position on the Path (runtime)
-  inline Vector calcPos(void) const;
-  inline Vector calcDir(void) const;
-  float getWidth(void) const;
+  inline Vector calcPos() const;
+  inline Vector calcDir() const;
+  float getWidth() const;
   void tick(float dt);
   void jumpTo(float time);
@@ -177,5 +177,5 @@
 
   void setBindSlave(PNode* bindSlave);
-  PNode* getTrackNode(void);
+  PNode* getTrackNode();
 
   // DEBUG //
@@ -184,5 +184,5 @@
 
  private:
-  TrackManager(void);
+  TrackManager();
   void initChildren(unsigned int childCount, TrackElement* trackElem = NULL);
 
Index: /orxonox/trunk/src/world_entities/camera.cc
===================================================================
--- /orxonox/trunk/src/world_entities/camera.cc	(revision 4745)
+++ /orxonox/trunk/src/world_entities/camera.cc	(revision 4746)
@@ -33,5 +33,5 @@
    \brief creates a Camera
 */
-Camera::Camera(void)
+Camera::Camera()
 {
   this->setClassID(CL_CAMERA, "Camera");
@@ -55,5 +55,5 @@
    \brief default destructor
 */
-Camera::~Camera(void)
+Camera::~Camera()
 {
   EventHandler::getInstance()->unsubscribe(this);
@@ -72,5 +72,5 @@
    \returns The PNode of the Target (from there you can get position and so on
 */
-PNode* Camera::getTarget(void)
+PNode* Camera::getTarget()
 {
   return (PNode*)this->target;
Index: /orxonox/trunk/src/world_entities/camera.h
===================================================================
--- /orxonox/trunk/src/world_entities/camera.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/camera.h	(revision 4746)
@@ -33,6 +33,6 @@
 {
  public:
-  Camera(void);
-  virtual ~Camera(void);
+  Camera();
+  virtual ~Camera();
 
   void lookAt(PNode* target);
@@ -45,5 +45,5 @@
   void setViewMode(ViewMode mode);
   void tick(float dt);
-  void apply (void);
+  void apply ();
 
   void process(const Event &event);
@@ -67,8 +67,8 @@
 
  private:
-  CameraTarget(void);
+  CameraTarget();
 
  public:
-  virtual ~CameraTarget(void);
+  virtual ~CameraTarget();
 };
 
Index: /orxonox/trunk/src/world_entities/npc.h
===================================================================
--- /orxonox/trunk/src/world_entities/npc.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/npc.h	(revision 4746)
@@ -20,13 +20,13 @@
   float zCor;
 
-  void drawNPC(void);
-  void paint(void);
+  void drawNPC();
+  void paint();
   void setPosition(float x, float y, float z);
   void getPosition(float* x, float* y, float* z);
   void addAI(AI* ai);
   void setCollisionRadius(float r);
-  float getCollisionRadius(void);
-  int hit(void);
-  void die(void);
+  float getCollisionRadius();
+  int hit();
+  void die();
 
  private:
Index: /orxonox/trunk/src/world_entities/player.h
===================================================================
--- /orxonox/trunk/src/world_entities/player.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/player.h	(revision 4746)
@@ -65,5 +65,5 @@
   
   void move(float time);
-  void weapon(void);
+  void weapon();
   
 };
Index: /orxonox/trunk/src/world_entities/skybox.cc
===================================================================
--- /orxonox/trunk/src/world_entities/skybox.cc	(revision 4745)
+++ /orxonox/trunk/src/world_entities/skybox.cc	(revision 4746)
@@ -68,5 +68,5 @@
 }
 
-void SkyBox::preInit(void)
+void SkyBox::preInit()
 {
   this->setClassID(CL_SKYBOX, "SkyBox");
@@ -86,5 +86,5 @@
 }
 
-void SkyBox::postInit(void)
+void SkyBox::postInit()
 {
   this->rebuild();
Index: /orxonox/trunk/src/world_entities/skybox.h
===================================================================
--- /orxonox/trunk/src/world_entities/skybox.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/skybox.h	(revision 4746)
@@ -26,9 +26,9 @@
   virtual ~SkyBox();
 
-  void preInit(void);
+  void preInit();
 
   void loadParams(const TiXmlElement* root);
 
-  void postInit(void);
+  void postInit();
 
 
Index: /orxonox/trunk/src/world_entities/terrain.cc
===================================================================
--- /orxonox/trunk/src/world_entities/terrain.cc	(revision 4745)
+++ /orxonox/trunk/src/world_entities/terrain.cc	(revision 4746)
@@ -73,5 +73,5 @@
 
 */
-Terrain::~Terrain (void)
+Terrain::~Terrain ()
 {
   if (objectList)
@@ -80,5 +80,5 @@
 
 
-void Terrain::init(void)
+void Terrain::init()
 {
   this->setClassID(CL_TERRAIN, "Terrain");
Index: /orxonox/trunk/src/world_entities/terrain.h
===================================================================
--- /orxonox/trunk/src/world_entities/terrain.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/terrain.h	(revision 4746)
@@ -28,7 +28,7 @@
   Terrain(const char* fileName);
   Terrain(DebugTerrain debugTerrain);
-  virtual ~Terrain(void);
+  virtual ~Terrain();
 
-  void init(void);
+  void init();
   void loadParams(const TiXmlElement* root);
 
Index: /orxonox/trunk/src/world_entities/test_gun.h
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/test_gun.h	(revision 4746)
@@ -40,14 +40,14 @@
   virtual ~TestGun ();
 
-  virtual void activate(void);
-  virtual void deactivate(void);
+  virtual void activate();
+  virtual void deactivate();
 
-  virtual void fire(void);
+  virtual void fire();
   virtual void hit (WorldEntity* weapon, Vector* loc);
-  virtual void destroy(void);
+  virtual void destroy();
   
   virtual void tick(float time);
-  virtual void weaponIdle(void);
-  virtual void draw(void);
+  virtual void weaponIdle();
+  virtual void draw();
 
 
Index: /orxonox/trunk/src/world_entities/weapon.h
===================================================================
--- /orxonox/trunk/src/world_entities/weapon.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/weapon.h	(revision 4746)
@@ -109,14 +109,14 @@
   virtual ~Weapon ();
 
-  void enable(void);
-  void disable(void);
-  bool isEnabled(void);
+  void enable();
+  void disable();
+  bool isEnabled();
 
   void setProjectile(Projectile* projectile);
-  Projectile* getProjectile(void);
+  Projectile* getProjectile();
 
-  virtual void activate(void);
-  virtual void deactivate(void);
-  bool isActive(void);
+  virtual void activate();
+  virtual void deactivate();
+  bool isActive();
 
 
@@ -136,5 +136,5 @@
      shoot again
   */
-  inline float getWeaponIdleTime(void) const { return this->idleTime;}
+  inline float getWeaponIdleTime() const { return this->idleTime;}
   /**
      \brief checks if the idle time is elapsed
@@ -144,5 +144,5 @@
    shoot again
   */
-  inline bool hasWeaponIdleTimeElapsed(void) const { return (this->localTime>this->idleTime)?true:false; }
+  inline bool hasWeaponIdleTimeElapsed() const { return (this->localTime>this->idleTime)?true:false; }
 
   /**
@@ -151,11 +151,11 @@
      this is called from the player.cc, when fire-button is been pushed
   */
-  virtual void fire(void) = 0;
+  virtual void fire() = 0;
   virtual void hit (WorldEntity* weapon, Vector* loc);
-  virtual void destroy(void);
+  virtual void destroy();
 
   virtual void tick(float time);
-  virtual void weaponIdle(void);
-  virtual void draw(void);
+  virtual void weaponIdle();
+  virtual void draw();
 
  protected:
Index: /orxonox/trunk/src/world_entities/world_entity.h
===================================================================
--- /orxonox/trunk/src/world_entities/world_entity.h	(revision 4745)
+++ /orxonox/trunk/src/world_entities/world_entity.h	(revision 4746)
@@ -51,5 +51,5 @@
 
   /** \returns the Count of Faces on this WorldEntity */
-  virtual unsigned int getFaceCount (void) const { if (this->model) return this->model->getFaceCount(); else return 0; };
+  virtual unsigned int getFaceCount () const { if (this->model) return this->model->getFaceCount(); else return 0; };
 
   void processDraw ();
